Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XML_Util.cpp File Reference

`#include "ACEXML/common/XML_Util.h"`

Include dependency graph for XML_Util.cpp:

## Defines
#define | CSTRLEN(x) ((sizeof(x) / sizeof(ACEXML_Char)) - 1)
## Functions
ACEXML_String | ACEXML_escape_string (const ACEXML_String &str)
void | ACEXML_escape_string (const ACEXML_String &in, ACEXML_String &out)
## Variables
const ACEXML_Char | ESCAPED_AMP [] = ACE_TEXT("&amp;")
const ACEXML_Char | ESCAPED_LESS [] = ACE_TEXT("&lt;")
const ACEXML_Char | ESCAPED_GREATER [] = ACE_TEXT("&gt;")
const ACEXML_Char | ESCAPED_APOS [] = ACE_TEXT("&apos;")
const ACEXML_Char | ESCAPED_QUOTE [] = ACE_TEXT("&quot;")

## Define Documentation

#define CSTRLEN | ( | x |  | ) | ((sizeof(x) / sizeof(ACEXML_Char)) - 1)

## Function Documentation

void ACEXML_escape_string | ( | const ACEXML_String & | in,
|  | ACEXML_String & | out
| ) |

ACEXML_String ACEXML_escape_string | ( | const ACEXML_String & | str | ) |

## Variable Documentation

const ACEXML_Char ESCAPED_AMP[] = ACE_TEXT("&amp;")`[static]`

const ACEXML_Char ESCAPED_APOS[] = ACE_TEXT("&apos;")`[static]`

const ACEXML_Char ESCAPED_GREATER[] = ACE_TEXT("&gt;")`[static]`

const ACEXML_Char ESCAPED_LESS[] = ACE_TEXT("&lt;")`[static]`

const ACEXML_Char ESCAPED_QUOTE[] = ACE_TEXT("&quot;")`[static]`